Historical contract: Get Extras SubOptions
Historical API contract. This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.
Historical meaning
Get Extras SubOptions
This API endpoint is used to get all product options choice from a product option.
Current API
For new integrations, use the linked current API reference or guide.
View the current API referenceParameters
[
{
"name": "language",
"in": "path",
"schema": {
"type": "string",
"default": "en"
},
"required": true
},
{
"name": "project",
"in": "path",
"schema": {
"type": "string",
"default": "<redacted-personal>"
},
"required": true
},
{
"name": "business_id",
"in": "path",
"schema": {
"type": "integer",
"format": "int32"
},
"required": true
},
{
"name": "extra_id",
"in": "path",
"schema": {
"type": "integer",
"format": "int32"
},
"required": true
},
{
"name": "option_id",
"in": "path",
"schema": {
"type": "integer",
"format": "int32"
},
"required": true
},
{
"name": "params",
"in": "query",
"schema": {
"type": "string"
}
},
{
"name": "offset",
"in": "query",
"schema": {
"type": "integer",
"format": "int32"
}
},
{
"name": "limit",
"in": "query",
"schema": {
"type": "integer",
"format": "int32"
}
},
{
"name": "api_version",
"in": "path",
"schema": {
"type": "string",
"default": "v400"
},
"required": true
}
]
Request body
null
Responses
{
"200": {
"description": "200",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{\n \"error\": false,\n \"result\": [\n {\n \"id\": 172,\n \"extra_option_id\": 53,\n \"name\": \"<redacted-personal>\",\n \"price\": 1,\n \"image\": null,\n \"sku\": null,\n \"rank\": 1,\n \"option\": {\n \"id\": 53,\n \"extra_id\": 49,\n \"name\": \"<redacted-personal>\",\n \"conditioned\": false,\n \"respect_to\": null,\n \"min\": 1,\n \"max\": 1,\n \"rank\": 1,\n \"extra\": {\n \"id\": 49,\n \"business_id\": 0,\n \"name\": \"<redacted-personal>\",\n \"description\": null,\n \"enabled\": true\n }\n }\n },\n {\n \"id\": 173,\n \"extra_option_id\": 53,\n \"name\": \"<redacted-personal>\",\n \"price\": 3,\n \"image\": null,\n \"sku\": null,\n \"rank\": 1,\n \"option\": {\n \"id\": 53,\n \"extra_id\": 49,\n \"name\": \"<redacted-personal>\",\n \"conditioned\": false,\n \"respect_to\": null,\n \"min\": 1,\n \"max\": 1,\n \"rank\": 1,\n \"extra\": {\n \"id\": 49,\n \"business_id\": 0,\n \"name\": \"<redacted-personal>\",\n \"description\": null,\n \"enabled\": true\n }\n }\n },\n {\n \"id\": 174,\n \"extra_option_id\": 53,\n \"name\": \"<redacted-personal>\",\n \"price\": 2,\n \"image\": null,\n \"sku\": null,\n \"rank\": 1,\n \"option\": {\n \"id\": 53,\n \"extra_id\": 49,\n \"name\": \"<redacted-personal>\",\n \"conditioned\": false,\n \"respect_to\": null,\n \"min\": 1,\n \"max\": 1,\n \"rank\": 1,\n \"extra\": {\n \"id\": 49,\n \"business_id\": 0,\n \"name\": \"<redacted-personal>\",\n \"description\": null,\n \"enabled\": true\n }\n }\n }\n ]\n}"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": false,
"default": true
},
"result": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"example": 172,
"default": 0
},
"extra_option_id": {
"type": "integer",
"example": 53,
"default": 0
},
"name": {
"type": "string",
"example": "<redacted-personal>"
},
"price": {
"type": "integer",
"example": 1,
"default": 0
},
"image": {},
"sku": {},
"rank": {
"type": "integer",
"example": 1,
"default": 0
},
"option": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"example": 53,
"default": 0
},
"extra_id": {
"type": "integer",
"example": 49,
"default": 0
},
"name": {
"type": "string",
"example": "<redacted-personal>"
},
"conditioned": {
"type": "boolean",
"example": false,
"default": true
},
"respect_to": {},
"min": {
"type": "integer",
"example": 1,
"default": 0
},
"max": {
"type": "integer",
"example": 1,
"default": 0
},
"rank": {
"type": "integer",
"example": 1,
"default": 0
},
"extra": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"example": 49,
"default": 0
},
"business_id": {
"type": "integer",
"example": 0,
"default": 0
},
"name": {
"type": "string",
"example": "<redacted-personal>"
},
"description": {},
"enabled": {
"type": "boolean",
"example": true,
"default": true
}
}
}
}
}
}
}
}
}
}
}
}
},
"400": {
"description": "400",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{\n \"error\": true,\n \"result\": [\n \"The suboptions could not be obtained.\"\n ]\n}"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": true,
"default": true
},
"result": {
"type": "array",
"items": {
"type": "string",
"example": "The suboptions could not be obtained."
}
}
}
}
}
}
},
"401": {
"description": "401",
"content": {
"application/json": {
"examples": {
"Result": {
"value": ""
}
}
}
}
}
}